Community Packages

Please read this before reporting a bug:
http://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#67136 - python-jsonpickle should have python-importlib-metadata dependency

Attached to Project: Community Packages
Opened by Kirill Gagarski (gagarski) - Sunday, 28 June 2020, 11:08 GMT
Last edited by freswa (frederik) - Sunday, 11 October 2020, 15:20 GMT
Task Type Bug Report
Category Packages
Status Closed
Assigned To Felix Yan (felixonmars)
Architecture All
Severity High
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 1
Private No

Details

Description:

Python software that relies on `python-jsonpickle` fails if `python-importlib-metadata` is not installed

Steps to reproduce:

1. Install `certbot` and `certbot-dns-digitalocean`
2. Run `certbot`

The result is

```
An unexpected error occurred:
pkg_resources.DistributionNotFound: The 'importlib_metadata' distribution was not found and is required by jsonpickle
Please see the logfile '/tmp/tmpv5anntws/log' for more details.
```

Logfile:

```
2020-06-28 10:51:42,293:DEBUG:certbot._internal.log:Exiting abnormally:
Traceback (most recent call last):
File "/usr/bin/certbot", line 11, in <module>
load_entry_point('certbot==1.5.0', 'console_scripts', 'certbot')()
File "/usr/lib/python3.8/site-packages/certbot/main.py", line 15, in main
return internal_main.main(cli_args)
File "/usr/lib/python3.8/site-packages/certbot/_internal/main.py", line 1317, in main
plugins = plugins_disco.PluginsRegistry.find_all()
File "/usr/lib/python3.8/site-packages/certbot/_internal/plugins/disco.py", line 207, in find_all
plugin_ep = PluginEntryPoint(entry_point)
File "/usr/lib/python3.8/site-packages/certbot/_internal/plugins/disco.py", line 54, in __init__
self.plugin_cls = entry_point.load()
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2460, in load
self.require(*args, **kwargs)
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 2483, in require
items = working_set.resolve(reqs, env, installer, extras=self.extras)
File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 786, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'importlib_metadata' distribution was not found and is required by jsonpickle
2020-06-28 10:51:42,293:ERROR:certbot._internal.log:An unexpected error occurred:
2020-06-28 10:51:42,293:ERROR:certbot._internal.log:pkg_resources.DistributionNotFound: The 'importlib_metadata' distribution was not found and is required by jsonpickle
```

Installing `python-importlib-metadata` solves the problem.
This task depends upon

Closed by  freswa (frederik)
Sunday, 11 October 2020, 15:20 GMT
Reason for closing:  Fixed
Additional comments about closing:  python-jsonpickle-1.4.1-2

Loading...